﻿@model IEnumerable<Consomi.Domain.Entities.Product>

@{
    ViewBag.Title = "Index";
}

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>stat</title>
</head>
<body>

    @{


        var Clothes = (int)ViewData["countA"];//retrive Data from ViewData or ViewBag
    }

    @{


        var PackagedFoods = (int)ViewData["countB"];//retrive Data from ViewData or ViewBag
    }

    @{


        var HouseHold = (int)ViewData["countC"];//retrive Data from ViewData or ViewBag
    }

   


    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <div class="card-hover-shadow profile-responsive card-border border-success mb-3 card">

        <canvas id="pie-chart" width="800" height="450"></canvas>


        <script>

                                new Chart(document.getElementById("pie-chart"), {
                                    type: 'pie',
                                    data: {
                                        labels: ["Clothes", "Packaged Foods", "House Hold"],
                                        datasets: [{
                                            label: "Prfil",
                                            backgroundColor: ["#3e95cd", "#8e5ea2", "#3cba9f", "#FE0224", "#02fef6", "#02fef6"],
                                            data: [ @Clothes , @PackagedFoods , @HouseHold]
                                        }]
                                    },
                                    options: {
                                        title: {
                                            display: true,
                                            text: 'The products categories'
                                        }
                                    }
                                });



        </script>



    </div>

</body>
</html>
